// Copyright 2000-2024 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license.
package com.intellij.ide.startup.importSettings;

import com.intellij.ui.IconManager;
import org.jetbrains.annotations.NotNull;

import javax.swing.*;

/**
 * NOTE THIS FILE IS AUTO-GENERATED
 * DO NOT EDIT IT BY HAND, run "Generate icon classes" configuration instead
 */
public final class StartupImportIcons {
  private static @NotNull Icon load(@NotNull String path, int cacheKey, int flags) {
    return IconManager.getInstance().loadRasterizedIcon(path, StartupImportIcons.class.getClassLoader(), cacheKey, flags);
  }

  public static final class Icons {
    /** 16x32 */ public static final @NotNull Icon Build = load("icons/build.svg", 263576131, 0);
    /** 16x16 */ public static final @NotNull Icon ColorPicker = load("icons/colorPicker.svg", -2131734344, 0);
    /** 20x20 */ public static final @NotNull Icon ConfigFile = load("icons/configFile.svg", 1186090686, 0);
    /** 16x32 */ public static final @NotNull Icon Json = load("icons/json.svg", -322377413, 0);
    /** 16x16 */ public static final @NotNull Icon Keyboard = load("icons/keyboard.svg", -1617681176, 0);
    /** 16x16 */ public static final @NotNull Icon Plugin = load("icons/plugin.svg", 62738285, 0);
    /** 16x16 */ public static final @NotNull Icon Recent = load("icons/recent.svg", -1439746341, 0);
    /** 16x16 */ public static final @NotNull Icon Settings = load("icons/settings.svg", -1557837202, 0);
  }

  public static final class IdeIcons {
    /** 20x20 */ public static final @NotNull Icon AC_20 = load("ideIcons/AC_20.svg", -1074688217, 0);
    /** 24x24 */ public static final @NotNull Icon AC_24 = load("ideIcons/AC_24.svg", -1828838322, 0);
    /** 48x48 */ public static final @NotNull Icon AC_48 = load("ideIcons/AC_48.svg", -1086304524, 0);
    /** 20x20 */ public static final @NotNull Icon Aqua_20 = load("ideIcons/Aqua_20.svg", 1954897688, 0);
    /** 24x24 */ public static final @NotNull Icon Aqua_24 = load("ideIcons/Aqua_24.svg", 940802515, 0);
    /** 48x48 */ public static final @NotNull Icon Aqua_48 = load("ideIcons/Aqua_48.svg", -364727221, 0);
    /** 20x20 */ public static final @NotNull Icon CL_20 = load("ideIcons/CL_20.svg", -573631315, 0);
    /** 24x24 */ public static final @NotNull Icon CL_24 = load("ideIcons/CL_24.svg", 1543516562, 0);
    /** 48x48 */ public static final @NotNull Icon CL_48 = load("ideIcons/CL_48.svg", 41895949, 0);
    /** 20x20 */ public static final @NotNull Icon DG_20 = load("ideIcons/DG_20.svg", 305261001, 0);
    /** 24x24 */ public static final @NotNull Icon DG_24 = load("ideIcons/DG_24.svg", 1261871322, 0);
    /** 48x48 */ public static final @NotNull Icon DG_48 = load("ideIcons/DG_48.svg", -532884612, 0);
    /** 20x20 */ public static final @NotNull Icon DS_20 = load("ideIcons/DS_20.svg", 333065843, 0);
    /** 24x24 */ public static final @NotNull Icon DS_24 = load("ideIcons/DS_24.svg", 541008850, 0);
    /** 48x48 */ public static final @NotNull Icon DS_48 = load("ideIcons/DS_48.svg", -1276565616, 0);
    /** 20x20 */ public static final @NotNull Icon GO_20 = load("ideIcons/GO_20.svg", -1868538832, 0);
    /** 24x24 */ public static final @NotNull Icon GO_24 = load("ideIcons/GO_24.svg", 1440377958, 0);
    /** 48x48 */ public static final @NotNull Icon GO_48 = load("ideIcons/GO_48.svg", 1561543628, 0);
    /** 20x20 */ public static final @NotNull Icon IC_20 = load("ideIcons/IC_20.svg", -1970123839, 0);
    /** 24x24 */ public static final @NotNull Icon IC_24 = load("ideIcons/IC_24.svg", 1159411325, 0);
    /** 48x48 */ public static final @NotNull Icon IC_48 = load("ideIcons/IC_48.svg", 337830589, 0);
    /** 20x20 */ public static final @NotNull Icon IU_20 = load("ideIcons/IU_20.svg", 1667621169, 0);
    /** 24x24 */ public static final @NotNull Icon IU_24 = load("ideIcons/IU_24.svg", 458021303, 0);
    /** 48x48 */ public static final @NotNull Icon IU_48 = load("ideIcons/IU_48.svg", 897538403, 0);
    /** 20x20 */ public static final @NotNull Icon MPS_20 = load("ideIcons/MPS_20.svg", -200340544, 0);
    /** 24x24 */ public static final @NotNull Icon MPS_24 = load("ideIcons/MPS_24.svg", -1783947303, 0);
    /** 48x48 */ public static final @NotNull Icon MPS_48 = load("ideIcons/MPS_48.svg", -22869970, 0);
    /** 20x20 */ public static final @NotNull Icon PC_20 = load("ideIcons/PC_20.svg", 714023888, 0);
    /** 24x24 */ public static final @NotNull Icon PC_24 = load("ideIcons/PC_24.svg", 1993229179, 0);
    /** 48x48 */ public static final @NotNull Icon PC_48 = load("ideIcons/PC_48.svg", -1502182440, 0);
    /** 20x20 */ public static final @NotNull Icon PS_20 = load("ideIcons/PS_20.svg", 1843587580, 0);
    /** 24x24 */ public static final @NotNull Icon PS_24 = load("ideIcons/PS_24.svg", 1900956350, 0);
    /** 48x48 */ public static final @NotNull Icon PS_48 = load("ideIcons/PS_48.svg", 1828137097, 0);
    /** 20x20 */ public static final @NotNull Icon PY_20 = load("ideIcons/PY_20.svg", 170680465, 0);
    /** 24x24 */ public static final @NotNull Icon PY_24 = load("ideIcons/PY_24.svg", 1612694640, 0);
    /** 48x48 */ public static final @NotNull Icon PY_48 = load("ideIcons/PY_48.svg", 569170843, 0);
    /** 20x20 */ public static final @NotNull Icon RD_20 = load("ideIcons/RD_20.svg", -551586724, 0);
    /** 24x24 */ public static final @NotNull Icon RD_24 = load("ideIcons/RD_24.svg", -951046526, 0);
    /** 48x48 */ public static final @NotNull Icon RD_48 = load("ideIcons/RD_48.svg", 1413170257, 0);
    /** 20x20 */ public static final @NotNull Icon RM_20 = load("ideIcons/RM_20.svg", -1206670764, 0);
    /** 24x24 */ public static final @NotNull Icon RM_24 = load("ideIcons/RM_24.svg", 847549615, 0);
    /** 48x48 */ public static final @NotNull Icon RM_48 = load("ideIcons/RM_48.svg", 1846959879, 0);
    /** 20x20 */ public static final @NotNull Icon RR_20 = load("ideIcons/RR_20.svg", -1910775509, 0);
    /** 24x24 */ public static final @NotNull Icon RR_24 = load("ideIcons/RR_24.svg", -797810320, 0);
    /** 48x48 */ public static final @NotNull Icon RR_48 = load("ideIcons/RR_48.svg", -1423111044, 0);
    /** 20x20 */ public static final @NotNull Icon Writerside_20 = load("ideIcons/Writerside_20.svg", 89548907, 0);
    /** 24x24 */ public static final @NotNull Icon Writerside_24 = load("ideIcons/Writerside_24.svg", 2013081357, 0);
    /** 48x48 */ public static final @NotNull Icon Writerside_48 = load("ideIcons/Writerside_48.svg", -1907506261, 0);
    /** 20x20 */ public static final @NotNull Icon WS_20 = load("ideIcons/WS_20.svg", 1428577595, 0);
    /** 24x24 */ public static final @NotNull Icon WS_24 = load("ideIcons/WS_24.svg", 548335021, 0);
    /** 48x48 */ public static final @NotNull Icon WS_48 = load("ideIcons/WS_48.svg", -1352066478, 0);
  }

  public static final class IdeNames {
    /** 145x29 */ public static final @NotNull Icon AC = load("ideNames/AC.svg", -2022301558, 2);
    /** 77x29 */ public static final @NotNull Icon Aqua = load("ideNames/Aqua.svg", 689940552, 2);
    /** 227x24 */ public static final @NotNull Icon AS = load("ideNames/AS.svg", 1619827372, 2);
    /** 87x24 */ public static final @NotNull Icon CL = load("ideNames/CL.svg", -952791123, 2);
    /** 140x29 */ public static final @NotNull Icon DG = load("ideNames/DG.svg", 1972725857, 2);
    /** 143x29 */ public static final @NotNull Icon DS = load("ideNames/DS.svg", 1754791872, 2);
    /** 119x24 */ public static final @NotNull Icon GO = load("ideNames/GO.svg", -693864257, 2);
    /** 291x67 */ public static final @NotNull Icon IC = load("ideNames/IC.svg", -1523330134, 2);
    /** 312x25 */ public static final @NotNull Icon IU = load("ideNames/IU.svg", 1956857230, 2);
    /** 67x24 */ public static final @NotNull Icon MPS = load("ideNames/MPS.svg", 2042563748, 2);
    /** 291x66 */ public static final @NotNull Icon PC = load("ideNames/PC.svg", -790053601, 2);
    /** 149x29 */ public static final @NotNull Icon PS = load("ideNames/PS.svg", 419094735, 2);
    /** 301x61 */ public static final @NotNull Icon PY = load("ideNames/PY.svg", 846931481, 2);
    /** 78x24 */ public static final @NotNull Icon RD = load("ideNames/RD.svg", 138410788, 2);
    /** 154x29 */ public static final @NotNull Icon RM = load("ideNames/RM.svg", 1949968562, 2);
    /** 154x24 */ public static final @NotNull Icon RR = load("ideNames/RR.svg", -251128189, 2);
    /** 163x24 */ public static final @NotNull Icon WS = load("ideNames/WS.svg", 1353680367, 2);
  }

  public static final class VisualStudio {
    /** 20x20 */ public static final @NotNull Icon VisualStudio_20 = load("visualStudio/VisualStudio_20.svg", 108800177, 0);
    /** 24x24 */ public static final @NotNull Icon VisualStudio_24 = load("visualStudio/VisualStudio_24.svg", 436802794, 0);
    /** 48x48 */ public static final @NotNull Icon VisualStudio_48 = load("visualStudio/VisualStudio_48.svg", -1898794185, 0);
  }

  public static final class Vscode {
    /** 20x20 */ public static final @NotNull Icon VSCode_20 = load("vscode/VSCode_20.svg", 816236048, 0);
    /** 24x24 */ public static final @NotNull Icon VSCode_24 = load("vscode/VSCode_24.svg", -1984837998, 0);
    /** 48x48 */ public static final @NotNull Icon VSCode_48 = load("vscode/VSCode_48.svg", -291179470, 0);
  }
}
